Bug 1728671 - There was an error listing VMs: undefined method `boot_order' for nil:NilClass
Summary: There was an error listing VMs: undefined method `boot_order' for nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - CNV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 11:58 UTC by Lukáš Hellebrandt
Modified: 2020-04-14 13:25 UTC (History)
4 users (show)

Fixed In Version: foreman_kubevirt-0.1.5,rubygem-foreman_kubevirt-0.1.5-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:51 UTC
Target Upstream Version:


Attachments (Terms of Use)
production.log (12.42 KB, text/plain)
2019-07-10 11:59 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27493 Normal Closed There was an error listing VMs: undefined method `boot_order' for nil:NilClass 2020-03-17 17:37:17 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:25:03 UTC

Description Lukáš Hellebrandt 2019-07-10 11:58:56 UTC
Description of problem:
When I open the Kubevirt CR, I get traceback (attached). The VMs tab shows "There was an error listing VMs: undefined method `boot_order' for nil:NilClass" error.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 10, Kubernetes Master v1.11.0+d4cacc0.

How reproducible:
Deterministic

Steps to Reproduce:
1. Have a Satellite with some Kubevirt CR.
2. Infrastructure -> Compute Resources -> <CR>
3. -> Now you get a traceback in production.log
4. Virtual Machines
5. -> Now you get an error

Actual results:
Traceback, error, VMs not listed

Expected results:
VMs listed

Comment 4 Lukáš Hellebrandt 2019-07-10 11:59:45 UTC
Created attachment 1589087 [details]
production.log

Comment 6 Lukáš Hellebrandt 2019-07-15 08:40:42 UTC
This is not a regression from 6.5 because there was no support for kubevirt.
I doubt this is a regression from previous builds, but I'm not sure.
This makes an important part of feature useless but given kubevirt support is still experimental, I don't think this needs to be a beta blocker.

Comment 7 Shira Maximov 2019-08-01 11:33:18 UTC
Created redmine issue https://projects.theforeman.org/issues/27493 from this bug

Comment 8 Bryan Kearney 2019-08-27 14:01:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27493 has been resolved.

Comment 13 errata-xmlrpc 2020-04-14 13:24:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.